/services/analytics/v1/track
Public
Rate limit: 3600 requests per minute.
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
sessionIdentifier |
string | Yes | eyJpdiI6Ik1UQXhNREV3... |
|
timer |
number|null
min: 0 |
No | 5.2 |
|
events |
array|null | No | [{"type":3,"data":{"source":1},"timestamp":1706000000000}] |
|
userAgent |
string | No |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 3600 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 3597 |
| Field | Type | Description |
|---|---|---|
status |
boolean |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 3600 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 3597 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 3600 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 3597 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/track" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"sessionIdentifier": "eyJpdiI6Ik1UQXhNREV3...",
"timer": 5.2,
"events": [
{
"type": 3,
"data": {
"source": 1
},
"timestamp": 1706000000000
}
],
"userAgent": "string"
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/track', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"sessionIdentifier": "eyJpdiI6Ik1UQXhNREV3...",
"timer": 5.2,
"events": [
{
"type": 3,
"data": {
"source": 1
},
"timestamp": 1706000000000
}
],
"userAgent": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/analytics/v1/track', {
"sessionIdentifier": "eyJpdiI6Ik1UQXhNREV3...",
"timer": 5.2,
"events": [
{
"type": 3,
"data": {
"source": 1
},
"timestamp": 1706000000000
}
],
"userAgent": "string"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"sessionIdentifier": "eyJpdiI6Ik1UQXhNREV3...",
"timer": 5.2,
"events": [
{
"type": 3,
"data": {
"source": 1
},
"timestamp": 1706000000000
}
],
"userAgent": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/track", headers=headers, json=data)
print(r.json())
{
"status": true
}